Manifest-Version: 1.0
Bnd-LastModified: 1750317958443
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Portal Upload
Bundle-SymbolicName: com.liferay.portal.upload
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 4.0.17.hotfix-6698-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.petra.memory;version="2.0",com.liferay.portal.configuration.metaty
 pe.annotations;version="1.5",com.liferay.portal.configuration.metatyp
 e.bnd.util;version="2.0",com.liferay.portal.configuration.persistence
 .listener;version="1.1",com.liferay.portal.configuration.upgrade;vers
 ion="2.0",com.liferay.portal.kernel.language;version="11.0",com.lifer
 ay.portal.kernel.log;version="7.1",com.liferay.portal.kernel.settings
 .definition;version="1.0",com.liferay.portal.kernel.upgrade;version="
 18.1",com.liferay.portal.kernel.upload;version="9.0",com.liferay.port
 al.kernel.util;version="45.0",com.liferay.portal.upgrade.registry;ver
 sion="5.0",com.liferay.portal.upload;version="4.0",javax.servlet.http
 ,org.apache.commons.fileupload;version="1.3",org.apache.commons.fileu
 pload.disk;version="1.3",org.apache.commons.fileupload.servlet;versio
 n="1.3"
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Portal
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Utility
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: foundation
Liferay-Releng-Suite-Description: Apps and Features: System Settings, 
 Web Content Editors, Web Content Template Languages, Theme Tools, Mob
 ile Device Rules, Facebook Authentication, LDAP Authentication, OpenI
 D Authentication, OpenSSO Authentication, Remote Authentication (Auth
 Verifiers), SSO-based Authentication, Token-based Authentication, Por
 tal Scripting, Elasticsearch Support, Solr Support, Documents and Med
 ia Store Implementations, and more.<br /><br />The Foundation suite p
 rovides applications and features that extend the functionality provi
 ded by Liferay's core. Much of the functionality that belonged to Lif
 eray's core prior to Liferay 7 has been extracted into the modules of
  the Foundation suite. The authentication modules provide a variety o
 f mechanisms for allowing users and remote applications to authentica
 te to Liferay. The LDAP Authentication module allows administrators t
 o establish connections to one or more LDAP directories from which us
 ers can be imported or exported. The SSO modules allow users to authe
 nticate to Liferay using a variety of single-sign on solutions. The T
 oken-based Authentication module allows users or remote applications 
 to authenticate to Liferay without a password. The Scripting module a
 llows scripts to be written in Groovy to invoke Liferay's API.<br /><
 br />This suite is available in the Liferay bundle.
Liferay-Releng-Suite-Title: Liferay Foundation
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.portal.upload.constants,com.liferay.porta
 l.upload.internal,com.liferay.portal.upload.internal.configuration,co
 m.liferay.portal.upload.internal.configuration.persistence.listener,c
 om.liferay.portal.upload.internal.configuration.settings,com.liferay.
 portal.upload.internal.settings.definition,com.liferay.portal.upload.
 internal.upgrade.registry,com.liferay.portal.upload.internal.upgrade.
 v1_0_0
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .portal.configuration.persistence.listener.ConfigurationModelListener
 ";uses:="com.liferay.portal.configuration.persistence.listener",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.settings.
 definition.ConfigurationBeanDeclaration";uses:="com.liferay.portal.ke
 rnel.settings.definition",osgi.service;objectClass:List<String>="com.
 liferay.portal.kernel.upload.UploadServletRequestConfigurationHelper"
 ;uses:="com.liferay.portal.kernel.upload",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.upgrade.registry.UpgradeStepRegistrato
 r";uses:="com.liferay.portal.upgrade.registry",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.upload.ServletFileUpload";uses:="
 com.liferay.portal.upload"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.por
 tal.configuration.upgrade.PrefsPropsToConfigurationUpgradeHelper)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portal
 .kernel.language.Language)";effective:=active,osgi.extender;filter:="
 (&(osgi.extender=osgi.component)(version>=1.4.0)(!(version>=2.0.0)))"
 ,osgi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=Ja
 vaServlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(versi
 on=1.8))"
Service-Component: OSGI-INF/com.liferay.portal.upload.internal.Servlet
 FileUploadImpl.xml,OSGI-INF/com.liferay.portal.upload.internal.config
 uration.persistence.listener.UploadServletRequestConfigurationModelLi
 stener.xml,OSGI-INF/com.liferay.portal.upload.internal.configuration.
 settings.UploadServletRequestConfigurationHelperImpl.xml,OSGI-INF/com
 .liferay.portal.upload.internal.settings.definition.UploadServletRequ
 estConfigurationBeanDeclaration.xml,OSGI-INF/com.liferay.portal.uploa
 d.internal.upgrade.registry.UploadUpgradeStepRegistrator.xml
Tool: Bnd-4.3.0.201909301554

